{ sources ? import ./nix/sources.nix, system ? builtins.currentSystem
, pkgs ? import sources.nixpkgs { inherit system; } }:

let
  callPackage = pkgs.lib.callPackageWith (pkgs // self);
  x = callPackage ./pkgs/x { };
  quickserv = callPackage sources.quickserv { };
  dhall = callPackage sources.easy-dhall-nix { };

  self = {
    # nix tools
    dhallToNix = import ./dhallToNix.nix;

    # other
    MoonPlus = callPackage ./pkgs/moonplus { };
    minica = callPackage ./pkgs/minica { };

    # dhall
    dhall = dhall.dhall-simple;
    dhall-bash = dhall.dhall-bash-simple;
    dhall-nix = dhall.dhall-nix-simple;
    dhall-json = dhall.dhall-json-simple;
    dhall-yaml = dhall.dhall-yaml-simple;

    # lojban
    johaus = callPackage ./pkgs/johaus { };
    jvozba = callPackage ./pkgs/jvozba { };

    # Go tools
    gopls = callPackage ./pkgs/gopls { };

    # x
    appsluggr = x.appsluggr;
    license = x.license;
    mainsanow = x.mainsanow;
    prefix = x.prefix;

    inherit quickserv x;
  };
in self
