{ system ? builtins.currentSystem }:

let
  pkgs = import <nixpkgs> { inherit system; };

  callPackage = pkgs.lib.callPackageWith pkgs;

  moonplus = callPackage ../pkgs/moonplus { };

  dockerImage = pkg:
    pkgs.dockerTools.buildImage {
      name = pkg.name;
      tag = "latest";

      contents = [ pkg ];

      config = {
        Cmd = [ "/bin/${pkg.name}" ];
      };
    };

in dockerImage moonplus
